<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingVertical="4dp"
        android:weightSum="3">
        <TextView android:id="@+id/f1"
            android:background="@color/grey"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="ENCRYPT" />
        <TextView android:id="@+id/f2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="CHANGE PWD" />
        <TextView android:id="@+id/f3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:layout_weight="1"
            android:gravity="center"
            android:textStyle="bold"
            android:text="DECRYPT" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/layoutEncrypt"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp">

            <TextView
                android:id="@+id/txtEncryptDecryptBlockData"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="@string/encrypting_decrypting_block_data_to_from_file"
                android:textStyle="bold" />

            <View
                android:id="@+id/dividerSDKVersion"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@id/txtEncryptDecryptBlockData"
                android:layout_marginTop="4dp"
                android:background="@android:color/darker_gray" />

            <TextView
                android:id="@+id/txtToRewriteToEncryptedFile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/dividerSDKVersion"
                android:layout_marginTop="12dp"
                android:text="@string/text_to_encrypt"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/inputMessage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtToRewriteToEncryptedFile"
                android:hint="@string/input_something_here"
                android:inputType="text"
                tools:ignore="Autofill" />

            <TextView
                android:id="@+id/txtFileName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputMessage"
                android:layout_marginTop="12dp"
                android:text="@string/file_name"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/txtFileNameDesc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtFileName"
                android:layout_marginTop="4dp"
                android:text="@string/file_will_be_created_automatically"
                android:textSize="10sp"
                android:textStyle="bold"
                tools:ignore="SmallSp" />

            <EditText
                android:id="@+id/inputFileName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtFileNameDesc"
                android:hint="@string/input_file_name_here"
                android:inputType="text"
                tools:ignore="Autofill" />

            <TextView
                android:id="@+id/txtPassword"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputFileName"
                android:layout_marginTop="12dp"
                android:text="@string/password"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/txtPasswordDesc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtPassword"
                android:layout_marginTop="4dp"
                android:text="@string/please_remember_your_password_to_decrypt"
                android:textSize="10sp"
                android:textStyle="bold"
                tools:ignore="SmallSp" />

            <EditText
                android:id="@+id/inputPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtPasswordDesc"
                android:hint="@string/input_password_here"
                android:inputType="textPassword"
                tools:ignore="Autofill" />

            <Button
                android:id="@+id/btnEncrypt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputPassword"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="8dp"
                android:background="@drawable/btn_color_state"
                android:padding="12dp"
                android:text="@string/encrypt"
                android:textColor="@color/white" />


            <TextView
                android:id="@+id/txtCipherText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/btnEncrypt"
                android:layout_marginTop="16dp"
                android:hint="@string/file_name_only"
                android:textColor="@color/green"
                android:textColorHint="@color/green"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/txtErrorMessageEncrypt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_below="@id/txtCipherText"
                android:layout_marginTop="16dp"
                android:hint="@string/error_message"
                android:textColor="@color/red"
                android:textColorHint="@color/red"
                android:visibility="gone"
                tools:visibility="visible" />

        </RelativeLayout>

    </ScrollView>

</LinearLayout>